# Менеджер аудіо

## Огляд можливостей додатка

Додаток «Менеджер аудіо» для NVDA призначений для ефективного керування кількома аудіопристроями та оптимізації маршрутизації звуку.

Функції цього додатка можна розділити на чотири основні модулі:

* **Керування пристроєм відтворення**: цей модуль дозволяє регулювати гучність, встановлювати основний системний пристрій відтворення та вимикати і вмикати його звук.
* **Керування пристроєм запису**: подібно до керування пристроєм відтворення, тут можна регулювати гучність, встановлювати основний пристрій запису, а також вимикати/вмикати звук.
* **Керування гучністю окремого застосунку**: ця функція полегшує налаштування пристроїв відтворення та запису, зміну гучності та вимикання/вмикання звуку для окремих аудіозастосунків.
* **Додаткові функції**: Окрім згаданих вище можливостей, є кілька практичних функцій, таких як блокування гучності мікрофона, перемикання пристроїв виводу NVDA тощо.

## Гарячі клавіші функцій

| Функції | Розкладка desktop | Розкладка laptop |
| --- | --- | --- |
| Попередній пристрій запису | control+windows+alt+додаткова1 | control+windows+alt+на початок |
| Наступний пристрій запису | control+windows+alt+додаткова3 | control+windows+alt+в кінець |
| Попередній пристрій відтворення | control+windows+alt+додаткова4 | control+windows+alt+сторінка вгору |
| Наступний пристрій відтворення | control+windows+alt+додаткова6 | control+windows+alt+сторінка вниз |
| Попередній аудіозастосунок | control+windows+alt+додаткова7 | control+windows+alt+стрілка вліво |
| Наступний аудіозастосунок | control+windows+alt+додаткова9 | control+windows+alt+стрілка вправо |
| Збільшити гучність | control+windows+alt+додаткова8 | control+windows+alt+стрілка вгору |
| Зменшити гучність | control+windows+alt+додаткова2 | control+windows+alt+стрілка вниз |
| Вимкнути/Увімкнути звук | control+windows+alt+додаткова5 | control+windows+alt +пробіл |
| Встановити основний пристрій відтворення/запису | control+windows+alt+додатковий Enter | control+windows+alt+Enter |
| Попередній пристрій запису для аудіозастосунків | shift+control+windows+alt+додатковий знак ділення | shift+control+windows+alt+[ |
| Наступний пристрій запису для аудіозастосунків | control+windows+alt+додатковий знак ділення | control+windows+alt+[ |
| Попередній пристрій відтворення для аудіозастосунків | shift+control+windows+alt+додатковий знак множення | shift+control+windows+alt+] |
| Наступний пристрій відтворення для аудіозастосунків | control+windows+alt+додатковий знак множення | control+windows+alt+] |
| Відновити параметри аудіозастосунку (натисніть, щоб скинути всі пристрої відтворення та запису аудіозастосунків, натисніть двічі, щоб скинути гучність аудіопрограми та увімкнути звук) | control+windows+alt+додатковий мінус | control+windows+alt+бекспейс |
| Попередній пристрій відтворення  NVDA | shift+control+windows+alt+додатковий плюс | shift+control+windows+alt+\ |
| Наступний пристрій відтворення  NVDA | control+windows+alt+додатковий плюс | control+windows+alt+\ |
| Вимкнути/увімкнути звук застосунку в поточному вікні | shift+control+windows+alt+додаткова8 | shift+control+windows+alt+пробіл |
| Перемкнути звук | shift+control+windows+alt+додаткова5 | shift+control+windows+alt+стрілка вгору |
| Перемкнути мікрофон | shift+control+windows+alt+додаткова2 | shift+control+windows+alt+стрілка вниз |
| Заблокувати/розблокувати гучність мікрофона | control+windows+alt+додатковий деліт | control+windows+alt+деліт |

## Контакт та зворотний зв’язок

Якщо у вас є якісь думки чи пропозиції, будь ласка, не соромтеся звертатися:

* Електронна пошта: huaiyinfeilong@163.com
* QQ: 354522977
* WeChat: huaiyinfeilong

## Подяки

Спеціальна подяка для Cary-rowen, 雪岭冰龙 і 社会主义好 за їхню допомогу й підтримку під час розробки цього додатка.

## Журнал оновлень

### Version 1.0.6

* Adapt to NVDA 2024.1.
* Enhance compatibility stability.

### Version 1.0.5

* For unsupported system versions, a prompt will be provided during plugin installation.

### Version 1.0.4

* Improve program compatibility and fix incompatibilities with certain software.
* Fix the issue where setting default playback and recording devices may not take effect.

### Version 1.0.3

* Modify the audio application name acquisition method, and synchronize the application window title.
* Fix some bugs.

### Version 1.0.2

* Fix the problem that the microphone volume is not remembered after restarting after locking the microphone under certain circumstances.

### Version 1.0.1

* Fixed some audio applications not showing up.
* Improved some hints.
