# 音频管理器

## 插件介绍

这是一个能够帮助你高效管理各种音频设备和应用音频路由的 NVDA 插件。

插件功能主要包括四大模块：

- **播放设备控制**：可针对播放设备进行音量调节、设置为系统默认设备、静音和解除静音。
- **录音设备控制**：可针对录音设备进行音量调节、设置为系统默认设备、静音和解除静音。
- **应用音频控制**：可针对每个音频应用指定不同的播放和录音设备、调节音量、静音和解除静音。
- **其他实用功能**：除上述功能外，还提供一系列实用功能，如麦克风音量锁定、NVDA 播放声卡切换等。

## 功能热键

| 功能                                                                                         | 台式机布局                             | 笔记本布局                       |
| -------------------------------------------------------------------------------------------- | -------------------------------------- | -------------------------------- |
| 上一个录音设备                                                                               | control+windows+alt+数字键盘 1         | control+windows+alt+行首         |
| 下一个录音设备                                                                               | control+windows+alt+数字键盘 3         | control+windows+alt+行尾         |
| 上一个播放设备                                                                               | control+windows+alt+数字键盘 4         | control+windows+alt+上翻页       |
| 下一个播放设备                                                                               | control+windows+alt+数字键盘 6         | control+windows+alt+下翻页       |
| 上一个音频应用                                                                               | control+windows+alt+数字键盘 7         | control+windows+alt+左光彪       |
| 下一个音频应用                                                                               | control+windows+alt+数字键盘 9         | control+windows+alt+右光标       |
| 增大音量                                                                                     | control+windows+alt+数字键盘 8         | control+windows+alt+上光标       |
| 减小音量                                                                                     | control+windows+alt+数字键盘 2         | control+windows+alt+下光标       |
| 静音/解除静音                                                                                | control+windows+alt+数字键盘 5         | control+windows+alt+空格         |
| 设置默认播放/录音设备                                                                        | control+windows+alt+数字键盘回车       | control+windows+alt+回车         |
| 音频应用的上一个录音设备                                                                     | shift+control+windows+alt+数字键盘斜杠 | shift+control+windows+alt+[      |
| 音频应用的下一个录音设备                                                                     | control+windows+alt+数字键盘斜杠       | control+windows+alt+[            |
| 音频应用的上一个播放设备                                                                     | shift+control+windows+alt+数字键盘星号 | shift+control+windows+alt+]      |
| 音频应用的下一个播放设备                                                                     | control+windows+alt+数字键盘星号       | control+windows+alt+]            |
| 恢复音频应用参数（单击重置所有音频应用的播放和录音设备、双击重置所有音频应用音量并解除静音） | control+windows+alt+数字键盘减号       | control+windows+alt+退格         |
| 上一个 NVDA 播放设备                                                                         | shift+control+windows+alt+数字键盘加号 | shift+control+windows+alt+\      |
| 下一个 NVDA 播放设备                                                                         | control+windows+alt+数字键盘加号       | control+windows+alt+\            |
| 静音/解除静音当前窗口                                                                        | shift+control+windows+alt+数字键盘 8   | shift+control+windows+alt+空格   |
| 声音开关                                                                                     | shift+control+windows+alt+数字键盘 5   | shift+control+windows+alt+上光标 |
| 麦克风开关                                                                                   | shift+control+windows+alt+数字键盘 2   | shift+control+windows+alt+下光标 |
| 锁定/解锁麦克风音量                                                                          | control+windows+alt+数字键盘删除       | control+windows+alt+删除         |

## 联络反馈

有任何意见建议欢迎沟通：

- 电子邮箱：huaiyinfeilong@163.com
- QQ：354522977
- 微信：huaiyinfeilong

## 致谢

特别感谢 Cary-rowen、雪岭冰龙、社会主义好在插件开发过程中提供的帮助和支持。

## 升级日志

### Version 1.0.7

- 新增乌克兰语本地化支持。
- 将原有台式机布局手势更改为在所有布局下生效，与 NVDA 核心手势一致。

### Version 1.0.6

- 适配 NVDA 2024.1。
- 增强兼容稳定性。

### Version 1.0.5

- 对于不支持的系统版本，插件安装时给出提示。

### Version 1.0.4

- 改善程序兼容性，修复与某些软件不兼容的问题。
- 修复设置默认播放、录音设备可能不生效的问题。

### Version 1.0.3

- 修改音频应用名称获取方式，同步应用窗口标题。
- 修复一些问题。

### Version 1.0.2

- 修复特定情况下锁定麦克风后重启没有记忆麦克风音量的问题。

### Version 1.0.1

- 修复了某些音频应用不显示的问题。
- 完善了一些提示。
